Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageLinkInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageLinkInfo

Enclosing class:
  TdApi

public static final class TdApi.MessageLinkInfo extends TdApi.Object
Contains information about a link to a message in a chat.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
If found, identifier of the chat to which the message belongs, 0 otherwise.
`static final int`
`CONSTRUCTOR`
`boolean`
`forAlbum`
True, if the whole media album to which the message belongs is linked.
`boolean`
`forComment`
True, if the message is linked as a channel post comment or from a message thread.
`boolean`
`isPublic`
True, if the link is a public link for a message in a chat.
`int`
`mediaTimestamp`
Timestamp from which the video/audio/video note/voice note playing must start, in seconds; 0 if not specified.
`TdApi.Message`
`message`
If found, the linked message; may be null.

## Constructor Summary

Constructors
Constructor
Description
`MessageLinkInfo()`
Contains information about a link to a message in a chat.
`MessageLinkInfo(boolean isPublic, long chatId, TdApi.Message message, int mediaTimestamp, boolean forAlbum, boolean forComment)`
Contains information about a link to a message in a chat.
`MessageLinkInfo(DataInput input)`
Contains information about a link to a message in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### isPublic

public boolean isPublic
True, if the link is a public link for a message in a chat.

### chatId

public long chatId
If found, identifier of the chat to which the message belongs, 0 otherwise.

### message

public TdApi.Message message
If found, the linked message; may be null.

### mediaTimestamp

public int mediaTimestamp
Timestamp from which the video/audio/video note/voice note playing must start, in seconds; 0 if not specified. The media can be in the message content or in its web page preview.

### forAlbum

public boolean forAlbum
True, if the whole media album to which the message belongs is linked.

### forComment

public boolean forComment
True, if the message is linked as a channel post comment or from a message thread.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### MessageLinkInfo

public MessageLinkInfo()
Contains information about a link to a message in a chat.

### MessageLinkInfo

public MessageLinkInfo(boolean isPublic, long chatId, TdApi.Message message, int mediaTimestamp, boolean forAlbum, boolean forComment)
Contains information about a link to a message in a chat.

Parameters:
  `isPublic` - boolean True, if the link is a public link for a message in a chat.
  `chatId` - long If found, identifier of the chat to which the message belongs, 0 otherwise.
  `message` - Message If found, the linked message; may be null.
  `mediaTimestamp` - int Timestamp from which the video/audio/video note/voice note playing must start, in seconds; 0 if not specified. The media can be in the message content or in its web page preview.
  `forAlbum` - boolean True, if the whole media album to which the message belongs is linked.
  `forComment` - boolean True, if the message is linked as a channel post comment or from a message thread.

### MessageLinkInfo

public MessageLinkInfo(DataInput input) throws IOException
Contains information about a link to a message in a chat.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`